Name:		Sprog
Version:	0.14
Release:	13%{?dist}
Summary:	A graphical tool to build programs by plugging parts together

Group:		Applications/System
License:	GPL+ or Artistic
URL:		http://sprog.sourceforge.net/
Source0:	http://osdn.dl.sourceforge.net/sprog/Sprog-%{version}.tar.gz
Source1:    gnome-run.png
Patch0:     sprog-0.14-skip-tests-15-19.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	perl(Glib), perl(Gtk2), perl(Gnome2::Canvas), perl(Gtk2::GladeXML), perl(YAML)
BuildRequires:	perl(MIME::Base64), perl(Pod::Simple), perl(LWP), perl(Template), perl(Imager)
BuildRequires:	perl(Apache::LogRegex), perl(XML::LibXML), perl(Time::HiRes)
BuildRequires:  desktop-file-utils
Requires:	    perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Pod::Simple::Methody) 

%description
Sprog is a tool for working with data. It allows you to do all the things those
clever Unix geeks can do with their cryptic command lines but you can now do it
all with point-n-click and drag-n-drop.

A Sprog machine has many similarities to a shell script. It is built from small
reusable parts (called gears) that are connected together to filter and massage
your data. Once you have built a machine, you can save it and run it again and
again to automatically perform repetitive tasks.

%prep
%setup -q -n Sprog-%{version}
%patch0 -p0

%{__cat} <<EOF >Sprog.desktop
[Desktop Entry]
Name=Sprog
Comment=A graphical tool to build programs by plugging parts together
Categories=Application;Development;X-Red-Hat-Base;
Icon=gnome-run.png
Exec=/usr/bin/sprog
Type=Application
Terminal=false
Encoding=UTF-8
EOF

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        Sprog.desktop
%{__install} -Dp -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/gnome-run.png

%check
LANG=C make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README
%{_bindir}/sprog
%{perl_vendorlib}/Sprog/
%{perl_vendorlib}/Sprog.pm
%{_mandir}/man3/Sprog*
%{_datadir}/pixmaps/gnome-run.png
%{_datadir}/applications/fedora-Sprog.desktop

%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.14-13
- rebuild for new perl

* Mon Oct 09 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-12
- Rebuild for FC6  

* Wed Mar 01 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-11
- Added perl(Imager)  

* Sun Feb 26 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-10
- Removed perl(Imager)  

* Sun Feb 26 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-9
- Changes BuildRequires to perl(Imager) and perl(Time::HiRes). 
  See Bugzilla Bug 183004

* Sun Feb 26 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-8
- Changes Requires to perl(Pod::Simple::Methody). 
  See Bugzilla Bug 183004

* Sat Feb 25 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-7
- Requires perl-Pod-Simple due to Bugzilla Bug 183004

* Wed Feb 22 2006 Gavin Henry <ghenry@suretecsystems.com> - 0.14-6
- Rebuilt and commited to devel tree

* Sat Dec 3 2005 Jef Spaleta <jspaleta@gmail.com> - 0.14-5
- Specfile clean up for desktop file installation and to conform 
  licensing to current FE packaging policy

* Mon Nov 16 2005 Gavin Henry <ghenry@suretecsystems.com> - 0.14-4
- Added desktop entry
- Applied patch to 18_command_filter.t to fix non-fatal test 
  failures

* Fri Aug 19 2005 Paul Howarth <paul@city-fan.org> - 0.14-3
- Fix BR's so that %%check works
- Remove deps that can be autogenerated
- Package is noarch
- Tidy %%files
- Include README and license text as %%doc
- Run "make test" is C locale for better coverage

* Fri Aug 19 2005 Gavin Henry <ghenry@suretecsystems.com> - 0.14-2
- Second build

* Wed Aug 17 2005 Gavin Henry <ghenry@suretecsystems.com> - 0.14-1
- New release

* Sat Jul 3 2005 Gavin Henry <ghenry@suretecsystems.com> - 0.13-1
- New release

* Sat Jul 2 2005 Gavin Henry <ghenry@suretecsystems.com> - 0.12-1
- Re-worked specfile for Fedora Core 4 Extras

* Thu Jun 23 2005 Grant McLean <grant@mclean.net.nz> - 0.11-1
- Leave .pm files to go to default location - wrapper script will cope

* Tue Jun 14 2005 Gavin Brown <gavin.brown@uk.com> - 0.10-2
- Hard-coded where .pm files go for when building on Debian

* Tue Jun 14 2005 Grant McLean <grant@mclean.net.nz> - 0.10-1
- New upstream version
- Removed perl-Class-Accessor dependency
- Bumped up Perl version dependency
- Tweaked Gavin's configs for vendor/packager

* Wed Jun 01 2005 Gavin Brown <gavin.brown@uk.com> - 0.09-1
- Initial package.

